package com.jqtx.windows.command;


import cn.hutool.core.date.DateUtil;
import cn.hutool.core.lang.UUID;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.IdcardUtil;
import cn.hutool.core.util.ObjectUtil;
import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.jqtx.infrastructure.oss.starter.config.OssUtils;
import com.jqtx.infrastructure.oss.starter.properties.OssProperties;
import com.jqtx.infrastructure.util.LoanMobileAESUtil;
import com.jqtx.infrastructure.util.StringUtil;
import com.jqtx.windows.common.exception.BizException;
import com.jqtx.windows.common.factory.AbstractCommand;
import com.jqtx.windows.common.factory.RuntimeContextHolder;
import com.jqtx.windows.common.mq.WindowsProducer;
import com.jqtx.windows.component.CreditComponent;
import com.jqtx.windows.component.enums.ZNEduEnum;
import com.jqtx.windows.component.enums.ZNInComeEnum;
import com.jqtx.windows.component.enums.ZNMarryEnum;
import com.jqtx.windows.component.enums.ZNRelationEnum;
import com.jqtx.windows.component.model.CreditModel;
import com.jqtx.windows.infrastructure.enums.ExceptionCodeEnum;
import com.jqtx.windows.infrastructure.feign.IClientFeignService;
import com.jqtx.windows.infrastructure.feign.IWakandaFeignService;
import com.jqtx.windows.infrastructure.feign.enums.ProductNameEnum;
import com.jqtx.windows.infrastructure.feign.model.client.ClientFeignModel;
import com.jqtx.windows.infrastructure.feign.model.wakanda.*;
import com.jqtx.windows.web.request.CreditSubmitRequest;
import com.jqtx.windows.web.response.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
@Slf4j
public class CreditSubmitCommand extends AbstractCommand {


    @Autowired
    private CreditComponent creditComponent;

    @Autowired
    private WindowsProducer windowsProducer;

    @Override
    public JsonResult execute() {
        String requestBody = RuntimeContextHolder.currentRuntimeContext().getRequestBody();
        CreditSubmitRequest request = JSON.parseObject(requestBody, CreditSubmitRequest.class);

        CreditModel order = creditComponent.getByOrderNo(request.getOrderNo());
        if (ObjectUtil.isNotNull(order)) {
            return JsonResult.success();
        }
        CreditModel creditModel = new CreditModel();
        creditModel.setOrderNo(request.getOrderNo());
        creditComponent.insert(creditModel);
        windowsProducer.pullCrditDate(request);
        return JsonResult.success();
    }
}
